INPUT_FF_CREATE(9)

NAME
input_ff_create - create force-feedback device

SYNOPSIS

int input_ff_create(struct input_dev * dev, unsigned int max_effects);

ARGUMENTS

dev
    input device supporting force-feedback

max_effects
    maximum number of effects supported by the device

DESCRIPTION

This function allocates all necessary memory for a force feedback portion of an input device and installs all default handlers. dev->ffbit should be already set up before calling this function. Once ff device is created you need to setup its upload, erase, playback and other handlers before registering input device

COPYRIGHT